[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TEchoMode

How text in the edit box is displayed.

## Declaration

Source position: stdctrls.pp line 40

`type TEchoMode = (`
`emNormal,` |  | Characters are shown unmodified.
`emNone,` |  | All characters are shown as spaces.
`emPassword` |  | All characters shown as the value in PasswordChar.
`);`

## Description

TEchoMode is an enumerated type with values that control whether text in a control is displayed with or without obfuscation. TEchoMode is the type used to implement the EchoMode property in TCustomEdit.

## See also

TCustomEdit.EchoMode |  | Allows to modify the text display, useful for entering passwords.